xine-lib: fifo_buffer_s Struct Reference

xine-lib 1.2.12

Data Fields
fifo_buffer_s Struct Reference

`#include <buffer.h>`

## Data Fields
buf_element_t * | first
buf_element_t * | last
int | fifo_size
uint32_t | fifo_data_size
void * | fifo_empty_cb_data
pthread_mutex_t | mutex
pthread_cond_t | not_empty
void(* | put )(fifo_buffer_t *fifo, buf_element_t *buf)
buf_element_t *(* | get )(fifo_buffer_t *fifo)
void(* | clear )(fifo_buffer_t *fifo)
int(* | size )(fifo_buffer_t *fifo)
int(* | num_free )(fifo_buffer_t *fifo)
uint32_t(* | data_size )(fifo_buffer_t *fifo)
void(* | dispose )(fifo_buffer_t *fifo)
buf_element_t *(* | buffer_pool_alloc )(fifo_buffer_t *self)
buf_element_t *(* | buffer_pool_try_alloc )(fifo_buffer_t *self)
void(* | insert )(fifo_buffer_t *fifo, buf_element_t *buf)
void(* | register_alloc_cb )(fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, void *), void *cb_data)
void(* | register_put_cb )(fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, buf_element_t *buf, void *), void *cb_data)
void(* | register_get_cb )(fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, buf_element_t *buf, void *), void *cb_data)
void(* | unregister_alloc_cb )(fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, void *))
void(* | unregister_put_cb )(fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, buf_element_t *buf, void *))
void(* | unregister_get_cb )(fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, buf_element_t *buf, void *))
buf_element_t * | buffer_pool_top
pthread_mutex_t | buffer_pool_mutex
pthread_cond_t | buffer_pool_cond_not_empty
int | buffer_pool_num_free
int | buffer_pool_capacity
int | buffer_pool_buf_size
void * | buffer_pool_base
void(* | alloc_cb [5])(fifo_buffer_t *fifo, void *data_cb)
void(* | put_cb [5])(fifo_buffer_t *fifo, buf_element_t *buf, void *data_cb)
void(* | get_cb [5])(fifo_buffer_t *fifo, buf_element_t *buf, void *data_cb)
void * | alloc_cb_data [5]
void * | put_cb_data [5]
void * | get_cb_data [5]
buf_element_t *(* | buffer_pool_size_alloc )(fifo_buffer_t *self, size_t size)
int | buffer_pool_num_waiters
int | buffer_pool_large_wait
int | fifo_num_waiters
buf_element_t *(* | tget )(fifo_buffer_t *fifo, xine_ticket_t *ticket)
buf_element_t *(* | buffer_pool_realloc )(buf_element_t *buf, size_t new_size)

## Field Documentation

## ◆ alloc_cb

void(* fifo_buffer_s::alloc_cb[5])(fifo_buffer_t *fifo, void *data_cb)

Referenced by xine_fbc_set().

## ◆ alloc_cb_data

void* fifo_buffer_s::alloc_cb_data[5]

Referenced by xine_fbc_set().

## ◆ buffer_pool_alloc

buf_element_t *(* fifo_buffer_s::buffer_pool_alloc) (fifo_buffer_t *self)

Referenced by _x_audio_decoder_shutdown(), _x_demux_control_end(), _x_demux_control_headers_done(), _x_demux_control_newpts(), _x_demux_control_nop(), _x_demux_control_start(), _x_demux_flush_engine(), _x_video_decoder_shutdown(), cache_plugin_read_block(), demux_ts_buffer_pes(), demux_ts_parse_pes_header(), dvd_plugin_read_block(), file_input_read_block(), gnomevfs_plugin_read_block(), handle_dvbsub(), handle_hdmv_textst(), init_codec_aac(), init_codec_dvbsub(), init_codec_spu(), init_codec_vobsub(), pvr_plugin_read_block(), read_flv_packet(), reset_track_map(), rip_plugin_read_block(), smb_plugin_read_block(), v4l2_input_read_block(), and vcd_plugin_read_block().

## ◆ buffer_pool_base

void* fifo_buffer_s::buffer_pool_base

## ◆ buffer_pool_buf_size

int fifo_buffer_s::buffer_pool_buf_size

## ◆ buffer_pool_capacity

int fifo_buffer_s::buffer_pool_capacity

Referenced by dvbspeed_put(), fifo_buffer_put(), and xine_fbc_set().

## ◆ buffer_pool_cond_not_empty

pthread_cond_t fifo_buffer_s::buffer_pool_cond_not_empty

## ◆ buffer_pool_large_wait

int fifo_buffer_s::buffer_pool_large_wait

## ◆ buffer_pool_mutex

pthread_mutex_t fifo_buffer_s::buffer_pool_mutex

## ◆ buffer_pool_num_free

int fifo_buffer_s::buffer_pool_num_free

Referenced by nbc_alloc_cb(), nbc_compute_fifo_length(), nbc_get_cb(), and nbc_put_cb().

## ◆ buffer_pool_num_waiters

int fifo_buffer_s::buffer_pool_num_waiters

## ◆ buffer_pool_realloc

buf_element_t *(* fifo_buffer_s::buffer_pool_realloc) (buf_element_t *buf, size_t new_size)

Referenced by demux_ts_buffer_pes().

## ◆ buffer_pool_size_alloc

buf_element_t *(* fifo_buffer_s::buffer_pool_size_alloc) (fifo_buffer_t *self, size_t size)

Referenced by _x_demux_read_send_data(), _x_demux_send_data(), _x_input_default_read_block(), asf_send_buffer_defrag(), asf_send_buffer_nodefrag(), bluray_plugin_read_block(), cdda_plugin_read_block(), handle_realvideo(), handle_sub_ssa(), handle_sub_utf8(), handle_vobsub(), init_codec_audio(), init_codec_real(), init_codec_video(), init_codec_xiph(), read_flv_packet(), and vdr_plugin_read_block().

## ◆ buffer_pool_top

buf_element_t* fifo_buffer_s::buffer_pool_top

## ◆ buffer_pool_try_alloc

buf_element_t *(* fifo_buffer_s::buffer_pool_try_alloc) (fifo_buffer_t *self)

Referenced by post_sequence_end().

## ◆ clear

void(* fifo_buffer_s::clear) (fifo_buffer_t *fifo)

Referenced by _x_demux_flush_engine().

## ◆ data_size

uint32_t(* fifo_buffer_s::data_size) (fifo_buffer_t *fifo)

## ◆ dispose

void(* fifo_buffer_s::dispose) (fifo_buffer_t *fifo)

Referenced by _x_audio_decoder_init(), _x_audio_decoder_shutdown(), _x_video_decoder_init(), and _x_video_decoder_shutdown().

## ◆ fifo_data_size

uint32_t fifo_buffer_s::fifo_data_size

Referenced by fifo_buffer_all_clear(), fifo_buffer_clear(), fifo_buffer_get(), fifo_buffer_insert(), fifo_buffer_put(), fifo_buffer_tget(), nbc_compute_fifo_length(), nbc_get_cb(), and nbc_put_cb().

## ◆ fifo_empty_cb_data

void* fifo_buffer_s::fifo_empty_cb_data

## ◆ fifo_num_waiters

int fifo_buffer_s::fifo_num_waiters

Referenced by fifo_buffer_get(), fifo_buffer_insert(), fifo_buffer_put(), and fifo_buffer_tget().

## ◆ fifo_size

int fifo_buffer_s::fifo_size

Referenced by fifo_buffer_all_clear(), fifo_buffer_clear(), fifo_buffer_get(), fifo_buffer_insert(), fifo_buffer_put(), fifo_buffer_tget(), lrb_feedback(), nbc_compute_fifo_length(), nbc_get_cb(), nbc_put_cb(), open_internal(), xine_get_next_audio_frame(), and xine_get_next_video_frame().

## ◆ first

buf_element_t* fifo_buffer_s::first

Referenced by _x_spu_decoder_sleep(), fifo_buffer_all_clear(), fifo_buffer_clear(), fifo_buffer_get(), fifo_buffer_insert(), fifo_buffer_put(), fifo_buffer_tget(), and lrb_feedback().

## ◆ get

buf_element_t *(* fifo_buffer_s::get) (fifo_buffer_t *fifo)

## ◆ get_cb

void(* fifo_buffer_s::get_cb[5])(fifo_buffer_t *fifo, buf_element_t *buf, void *data_cb)

Referenced by fifo_buffer_get(), and fifo_buffer_tget().

## ◆ get_cb_data

void* fifo_buffer_s::get_cb_data[5]

Referenced by fifo_buffer_get(), and fifo_buffer_tget().

## ◆ insert

void(* fifo_buffer_s::insert) (fifo_buffer_t *fifo, buf_element_t *buf)

## ◆ last

buf_element_t * fifo_buffer_s::last

Referenced by fifo_buffer_all_clear(), fifo_buffer_clear(), fifo_buffer_get(), fifo_buffer_insert(), fifo_buffer_put(), fifo_buffer_tget(), and lrb_feedback().

## ◆ mutex

pthread_mutex_t fifo_buffer_s::mutex

Referenced by dummy_fifo_buffer_put(), fifo_buffer_all_clear(), fifo_buffer_clear(), fifo_buffer_get(), fifo_buffer_insert(), fifo_buffer_put(), fifo_buffer_tget(), lrb_feedback(), and xine_fbc_set().

## ◆ not_empty

pthread_cond_t fifo_buffer_s::not_empty

Referenced by fifo_buffer_get(), fifo_buffer_insert(), fifo_buffer_put(), fifo_buffer_tget(), and lrb_feedback().

## ◆ num_free

int(* fifo_buffer_s::num_free) (fifo_buffer_t *fifo)

Referenced by pvr_adjust_realtime_speed(), and pvr_play_file().

## ◆ put

void(* fifo_buffer_s::put) (fifo_buffer_t *fifo, buf_element_t *buf)

Referenced by _x_audio_decoder_shutdown(), _x_demux_control_end(), _x_demux_control_headers_done(), _x_demux_control_newpts(), _x_demux_control_nop(), _x_demux_control_start(), _x_demux_flush_engine(), _x_demux_read_send_data(), _x_demux_send_data(), _x_video_decoder_shutdown(), asf_send_buffer_defrag(), asf_send_buffer_nodefrag(), demux_ts_send_buffer(), handle_dvbsub(), handle_hdmv_textst(), handle_realvideo(), handle_sub_ssa(), handle_sub_utf8(), handle_vobsub(), init_codec_audio(), init_codec_dvbsub(), init_codec_real(), init_codec_spu(), init_codec_video(), init_codec_vobsub(), init_codec_xiph(), post_sequence_end(), read_flv_packet(), and reset_track_map().

## ◆ put_cb

void(* fifo_buffer_s::put_cb[5])(fifo_buffer_t *fifo, buf_element_t *buf, void *data_cb)

Referenced by dummy_fifo_buffer_put(), and fifo_buffer_put().

## ◆ put_cb_data

void* fifo_buffer_s::put_cb_data[5]

Referenced by dummy_fifo_buffer_put(), and fifo_buffer_put().

## ◆ register_alloc_cb

void(* fifo_buffer_s::register_alloc_cb) (fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, void *), void *cb_data)

Referenced by vdr_class_get_instance().

## ◆ register_get_cb

void(* fifo_buffer_s::register_get_cb) (fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, buf_element_t *buf, void *), void *cb_data)

## ◆ register_put_cb

void(* fifo_buffer_s::register_put_cb) (fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, buf_element_t *buf, void *), void *cb_data)

Referenced by _x_init_broadcaster().

## ◆ size

int(* fifo_buffer_s::size) (fifo_buffer_t *fifo)

Referenced by demux_loop(), pvr_adjust_realtime_speed(), pvr_play_file(), send_avpacket(), v4l_adjust_realtime_speed(), and video_decoder_loop().

## ◆ tget

buf_element_t *(* fifo_buffer_s::tget) (fifo_buffer_t *fifo, xine_ticket_t *ticket)

Referenced by audio_decoder_loop(), and video_decoder_loop().

## ◆ unregister_alloc_cb

void(* fifo_buffer_s::unregister_alloc_cb) (fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, void *))

Referenced by xine_nbc_close().

## ◆ unregister_get_cb

void(* fifo_buffer_s::unregister_get_cb) (fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, buf_element_t *buf, void *))

Referenced by xine_nbc_close().

## ◆ unregister_put_cb

void(* fifo_buffer_s::unregister_put_cb) (fifo_buffer_t *fifo, void(*cb)(fifo_buffer_t *fifo, buf_element_t *buf, void *))

Referenced by _x_close_broadcaster(), and xine_nbc_close().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/buffer.h